BigattiFacade Class Reference
The Facade Module

A facade for computing Hilbert series of monomial ideals using the divide-and-conquer algorithm by Bigatti et.al. More...

`#include <BigattiFacade.h>`

Inheritance diagram for BigattiFacade:

## Public Member Functions

| BigattiFacade (const BigattiParams &params)
| ~BigattiFacade ()
void | computeMultigradedHilbertSeries ()
| Computes the numerator of the multigraded Hilbert-Poincare series with no cancellation of common terms in numerator and denominator.
void | computeUnivariateHilbertSeries ()
| Computes the numerator of the univariate Hilbert-Poincare series with no cancellation of common terms in numerator and denominator.

## Private Attributes

unique_ptr< BigattiPivotStrategy > | _pivot
BigattiParams | _params
CommonParamsHelper | _common

## Additional Inherited Members

Protected Member Functions inherited from Facade
| Facade (bool printActions)
| Constructs a facade that prints out what it is doing if printActions is true.
virtual | ~Facade ()
void | printMessage (const char *message)
| Prints message to standard error if printing is turned on.
void | beginAction (const char *message)
| Prints message to standard error if printing is turned on, and records the time when the action started.
void | endAction ()
| Prints to standard error the time since the last call to beginAction.
bool | isPrintingActions () const
| Returns true if printing actions.

## Detailed Description

A facade for computing Hilbert series of monomial ideals using the divide-and-conquer algorithm by Bigatti et.al.

Definition at line 32 of file BigattiFacade.h.

## Constructor & Destructor Documentation

## BigattiFacade()

BigattiFacade::BigattiFacade | ( | const BigattiParams & | params | ) |

Definition at line 25 of file BigattiFacade.cpp.

## ~BigattiFacade()

BigattiFacade::~BigattiFacade | ( |  | ) |

Definition at line 33 of file BigattiFacade.cpp.

## Member Function Documentation

## computeMultigradedHilbertSeries()

void BigattiFacade::computeMultigradedHilbertSeries | ( |  | ) |

Computes the numerator of the multigraded Hilbert-Poincare series with no cancellation of common terms in numerator and denominator.

Definition at line 38 of file BigattiFacade.cpp.

## computeUnivariateHilbertSeries()

void BigattiFacade::computeUnivariateHilbertSeries | ( |  | ) |

Computes the numerator of the univariate Hilbert-Poincare series with no cancellation of common terms in numerator and denominator.

Definition at line 52 of file BigattiFacade.cpp.

## Member Data Documentation

## _common

CommonParamsHelper BigattiFacade::_common

private

Definition at line 50 of file BigattiFacade.h.

## _params

BigattiParams BigattiFacade::_params

private

Definition at line 49 of file BigattiFacade.h.

## _pivot

unique_ptr<BigattiPivotStrategy> BigattiFacade::_pivot

private

Definition at line 48 of file BigattiFacade.h.

The documentation for this class was generated from the following files:

- src/BigattiFacade.h
- src/BigattiFacade.cpp